<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="initial-scale=1, maximum-scale=1, user-scalable=no, width=device-width">
    <title>Visitor Reports</title>
    <script>
        if (deviceType.getdeviceType() == 'Android') {
    </script>
    <link href="file:///android_asset/lib/ionic/css/ionic.css" rel="stylesheet">
    <link href="file:///android_asset/lib/ion-md-input/css/ion-md-input.min.css" rel="stylesheet">
    <link href="file:///android_asset/lib/ionic-material/dist/ionic.material.min.css" rel="stylesheet">
    <script src="file:///android_asset/lib/ionic/js/ionic.bundle.js"></script>
    <script src="file:///android_asset/lib/ionic-material/dist/ionic.material.min.js"></script>
    <script src="file:///android_asset/lib/ion-md-input/js/ion-md-input.min.js"></script>
    <script src="file:///android_asset/lib/ionic/angular-animate/angular-animate.js"></script>
    <script src="file:///android_asset/lib/angular/angular.min.js"></script>
    <script src="file:///android_asset/js/platformlib.js"></script>
    <link href="file:///android_asset/lib/Open+Sans.css" rel="stylesheet">
    <link href="file:///android_asset/lib/Raleway.css" rel="stylesheet">
    <link href="file:///android_asset/dfa1/dfa1.css" rel="stylesheet">
    <link href="file:///android_asset/dfa0/dfa0.css" rel="stylesheet">
    <script>
        }
        if (deviceType.getdeviceType() == 'iPhone' || deviceType.getdeviceType() == 'iPad' || deviceType.getdeviceType() == 'iPod') {
    </script>
    <link href="../../../assets/lib/ionic/css/ionic.css" rel="stylesheet">
    <link href="../../../assets/lib/ion-md-input/css/ion-md-input.min.css" rel="stylesheet">
    <link href="../../../assets/lib/ionic-material/dist/ionic.material.min.css" rel="stylesheet">
    <script src="../../../assets/lib/ionic/js/ionic.bundle.js"></script>
    <script src="../../../assets/lib/ionic-material/dist/ionic.material.min.js"></script>
    <script src="../../../assets/lib/ion-md-input/js/ion-md-input.min.js"></script>
    <script src="../../../assets/lib/ionic/angular-animate/angular-animate.js"></script>
    <script src="../../../assets/lib/angular/angular.min.js"></script>
    <script src="../../../assets/js/platformlib.js"></script>
    <link href="../../../assets/lib/Open+Sans.css" rel="stylesheet">
    <link href="../../../assets/lib/Raleway.css" rel="stylesheet">
    <link href="../../../assets/dfa1/dfa1.css" rel="stylesheet">
    <link href="../../../assets/dfa0/dfa0.css" rel="stylesheet">
    <script>
        }
    </script>
    <script src="js/controller.js"></script>
    <script src="js/app.js"></script>
    <script src="js/jquery.js"></script>
    <link href="css/tabSlideBox.css" rel="stylesheet">
    <script src="js/tabSlideBox.js"></script>
    <link href="css/style.css" rel="stylesheet">
</head>

<body ng-app="serviceChat">
    <ion-nav-view></ion-nav-view>
    <script id="index.html" type="text/ng-template">
        <ion-header-bar class="bar-header no-shadow">
            <!-- Header  for Android and tabs -->
            <button class="button-clear new-back" ng-click="goHome();" style="width: 60px;" ng-if="platform == 'android'">
                <div data-icon="s" class="icon"></div>
            </button>
            <button class="button button-icon button-clear" ng-click="goHome();" ng-if="platform != 'android'"><i class="icon ion-chevron-left"></i></button>
            <h4 class="msg-blck" ng-if="platform == 'android'" style="margin-left: 30px;">Orders</h4>
            <h4 class="ios-title" ng-if="platform != 'android'">Orders</h4>
            <div class="right-btn-wrapper">
                <button class="button-clear new-home" menu-toggle="right" ng-click="goHome()">
                    <div class="icon d-f-i-1-v"></div>
                </button>
            </div>
        </ion-header-bar>

        <ion-view title="">
            <ion-content scroll="true" has-bouncing="true">
                <div id="MainWrap" class="container">
                </div>
                <tab-slide-box style="height:500px;">
                    <div class="tsb-icons">
                        <div class="tsb-ic-wrp">
                            <ion-scroll direction="x" class="tsb-hscroll">
                                <a href="javascript:;" class="tab-item active">Active </a>
                                <a href="javascript:;" class="tab-item " ng-click="loadComleteOrders();"> Completed </a>
                            </ion-scroll>
                        </div>
                    </div>
                    <div style="height: 7px;">&nbsp;</div>
                    <ion-slide-box on-slide-changed="slideHasChanged($index)">
                        <ion-slide>
                            <div style="overflow-y: scroll;height:90%;">

                                <div class="mcase-wrapper" ng-click="loadchat(order.dataId,order.data.receivers)" ng-repeat="order in activeOrders">
                                    <div class="order-details" style="margin-bottom: -20px;" ng-init="tag_result = get_Tag(order.data)">
                                        <span ng-if="tag_result != null">{{ tag_result }}</span>
                                        <span ng-if="tag_result == null">Qviki  </span>
                                        <div ng-init="unreadOXM = getCaseCount(order.caseid)">
                                            <div ng-if="unreadOXM > 0" class="mnoOfUnreadOXM"> {{ unreadOXM }} </div>
                                        </div>

                                    </div>
                                    <div style="height: 86px; position: relative;">
                                        <div class="mprice-wrapper" ng-init="logo = userLogo(order.data.mobile)">
                                            <span><img src="images/{{ logo[0] }}"  class="user-logo" /></span>
                                        </div>
                                        <div class="morder-wrapper">
                                            <div class="order">
                                                <span ng-if="logo[1] != 'Walk in'"> Room {{ logo[1] }} </span>
                                                <span ng-if="logo[1] == 'Walk in'"> {{ logo[1] }} </span>
                                            </div>
                                            <div class="order-time">
                                                <span class="name" ng-if="order.data.roomClient == undefined">{{  order.data.casename }}</span>
                                                <span class="name" ng-if="order.data.roomClient">{{  order.data.roomClient }}</span>
                                            </div>
                                        </div>
                                        <div class="mmsg-wrapper">
                                            <div class="order" ng-init="bill = getBill(order.data)">
                                                <span ng-if="order.bill != null"> Rs {{ bill }}  </span>
                                                <span ng-if="order.bill == null"> &nbsp; </span>
                                            </div>
                                            <div class="order-time" ng-init="time = orderTime(order.createddate)" ng-if="order.createddate">
                                                <span class="name msg-green">Received {{  time }}  ago  </span>
                                            </div>
                                            <div class="order-time" ng-init="time = orderTime(order.data.orderdatetime)" ng-if="order.createddate  == undefined">
                                                <span class="name msg-green" ng-if="order.data.orderstatus == '1'">Delivered</span>
                                                <span class="name msg-green" ng-if="order.data.orderstatus == '0'">Ordered {{  time }}  ago  </span>
                                            </div>
                                        </div>

                                        <div class="mbottom-line">&nbsp;</div>
                                    </div>
                                </div>

                                <input type="hidden" id="caseid">
                                <input type="hidden" id="isComplete">
                                <div style="width:100%; height:40px;">&nbsp;</div>
                            </div>

                        </ion-slide>
                        <ion-slide>
                            <div style="overflow-y: scroll; height:90%;">
                                <!--  <h1>Hello div 2</h1> -->
                                <div class="case-heading-big-1"> FEEDBACK PENDING </div>

                                <div class="mcase-wrapper" ng-click="loadPageNg(order.caseid,1)" ng-repeat="order in completeOrders">
                                    <div class="order-details" style="margin-bottom: -20px;" ng-init="tag_result = get_Tag(order.data)">
                                        <span ng-if="tag_result != null">{{ tag_result }}</span>
                                        <span ng-if="tag_result == null">Qviki</span>
                                    </div>
                                    <div style="height: 86px; position: relative;">
                                        <div class="mprice-wrapper" ng-init="logo = userLogo(order.mobile)">
                                            <span><img src="http://i.imgur.com/5WUpcPZ.png"  class="user-logo" /></span>
                                        </div>
                                        <div class="morder-wrapper">
                                            <div class="order">
                                                <span ng-if="logo[1] != 'Walk in'"> Room {{ logo[1] }} </span>
                                                <span ng-if="logo[1] == 'Walk in'"> {{ logo[1] }} </span>
                                            </div>
                                            <div class="order-time">
                                                <span class="name" ng-if="order.data.roomClient == undefined">{{  order.name }}</span>
                                                <span class="name" ng-if="order.data.roomClient">{{  order.data.roomClient }}</span>
                                            </div>
                                        </div>
                                        <div class="mmsg-wrapper">
                                            <div class="order" ng-init="bill = getBill(order.data)">
                                                <span ng-if="order.data != null"> Rs {{ bill }} </span>
                                                <span ng-if="order.data == null"> &nbsp; </span>
                                            </div>
                                            <div class="order-time" ng-init="time = epocDays(order.data.orderdatetime)">
                                                <span class="name msg-gray">Delivered {{  time }}    </span>
                                            </div>
                                        </div>
                                        <div class="mbottom-line">&nbsp;</div>
                                    </div>
                                    <input type="hidden" id="casedata-{{ order.dataId }}" value="{{ order.data }}">
                                    <input type="hidden" id="name-{{ order.dataId }}" value="{{ order.casename }}">
                                    <input type="hidden" id="room-{{ order.dataId }}" value="{{ logo[1] }}">
                                </div>

                                <div style="width:100%; height:40px;">&nbsp;</div>
                            </div>
                        </ion-slide>

                    </ion-slide-box>
                </tab-slide-box>
            </ion-content>
        </ion-view>
    </script>

    <script id="chatmng.html" type="text/ng-template">
        <ion-nav-bar class="bar-assertive-900" align-title="left">
            <ion-nav-buttons side="left">
               
                <button class="button-clear new-back" ng-click="active()" style="width: 60px;" ng-if="platform == 'android'">
                    <div data-icon="s" class="icon"></div>
                </button>
                <h4 class="ma-l-10 ma-t-5 msg-blck" ng-if="platform == 'android'" style="margin-left: 30px;"> {{ uname }} <br/> 
          <span class="room-no msg-blck" ng-if="uroom != 'Walk in'">Room # {{ uroom }}</span></h4>
                <button class="button button-icon button-clear msg-blck" ng-click="active()" ng-if="platform != 'android'"><i class="icon ion-chevron-left"></i></button>
                <h4 class="ios-title ma-t-5 msg-blck" ng-if="platform != 'android'">{{ uname }} <span class="room-no" ng-if="uroom != 'Walk in'">Room # {{ uroom }}</span></h4>
            </ion-nav-buttons>
            <ion-nav-buttons side="right">
                <div class="right-btn-wrapper">
                   

                    <button class="button-clear new-home" menu-toggle="right" ng-click="goHome()" style="margin-top: 5px;">
                        <div class="icon d-f-i-1-v"></div>
                    </button>
                </div>
            </ion-nav-buttons>
        </ion-nav-bar>
        <ion-view title="">
            <ion-content scroll="true" delegate-handle="homeScroll" has-bouncing="true">
                <div class="top70">&nbsp;</div>
                <div class="order-list">
                   
                    <div class="item-name" ng-repeat="data in casedata" style="float: left;  margin: 2px;">
                        <span ng-click="showPopup($index)"> {{ data.itemname }} {{ data.quantity }} </span>
                    </div>
                </div>

                <div id="chat_list">
                </div>
                <br/>
                <br/>
                <p id="span"></p>
                <div class="tag-bottom-divider">&nbsp;</div>
                <div id="MainData"></div>
                <input type="hidden" id="feedbackRating">
            </ion-content>
            <div id="tag-btn" class="tag-btn" style="display: none;">
                <button type="button" class="button-icon button-clear chat-btn" ng-Click="setTag()">Add Tag</button>&nbsp;&nbsp;&nbsp;
                <button type="button" class="button-icon button-clear chat-btn" ng-click="modal.show();">Select Response</button>
            </div>
            <ion-footer-bar class="footer" id="footer" ng-if="isComplete == 0">
                <button class="button button-icon button-clear" ng-click="openPopover($event)">
                    <i class="ion-android-menu black"></i>
                </button>
                <div class="wrapper">
                    <div class="chet-box-visitor" style="margin-left: -10px;">
                        <input type="text" ng-modal="chatmsg" id="chatmsg" placeholder="How may i help you?" onfocus="hideQviki()" onblur="showQviki()" />
                    </div>
                    <div class="send-box">
                        <button class="button Vbtn" ng-modal="send" ng-click="sendChatData()">Send</button>
                    </div>
                </div>
            </ion-footer-bar>
        </ion-view>
    </script>
    <script id="popover.html" type="text/ng-template">
        <ion-popover-view>
            <ion-content>
                <ul class="list" style="border:none;background:#fff; width: 100%; margin-left: 0px;margin-top: -1px;  height: 100%;">
                    <li class="item" ng-Click="setTag()">Add Tag</li>
                    <div class="hr">&nbsp;</div>
                    <li class="item" ng-click="setFeedback();">Delivered </li>
                    <div class="hr">&nbsp;</div>
                    <li class="item" ng-click="modal.show();">Select Response </li>
                    <div class="hr">&nbsp;</div>
                    <li class="item" ng-click="canceledOrder();" ng-click="popover.hide()">Cancel Order </li>
                </ul>
            </ion-content>
        </ion-popover-view>
    </script>
    <script id="modal.html" type="text/ng-template">
        <ion-modal-view>
            <ion-header-bar class="bar bar-header bar-positive">
                <button class="button button-icon button-clear" ng-click="modal.hide()" ng-if="platform == 'android'">
                    <img src="images/back.png" class="android-back"></button>
                <h1 class="title" style="color:#444;">Select Response</h1>
                <button class="button button-clear button-primary" style="color:#444;" ng-click="modal.hide()">X</button>
            </ion-header-bar>

            <ion-content>
                <ul class="list" style="background:#fff; border:none; width: 100%; margin-top: 20px; margin-left: 0px; ">
                    <li class="item" ng-click="response('Please have patience, your order on the way.');" style="text-transform:none;">Please have patience, your order on the way.</li>
                    <div class="hr1">&nbsp;</div>
                    <li class="item" ng-click="response('Please wait for few minutes more.');" style="text-transform:none;">Please wait for few minutes more. </li>
                    <div class="hr1">&nbsp;</div>
                    <li class="item" ng-click="response('We appreciate your cooperation.');" style="text-transform:none;">We appreciate your cooperation. </li>
                    <div class="hr1">&nbsp;</div>
                    <li class="item" ng-click="response('Your oder is ready. Please collect it from the window.');" style="text-transform:none;">Your order is ready. please collect it from the window. </li>
                    <div class="hr1">&nbsp;</div>
                </ul>
            </ion-content>
        </ion-modal-view>
    </script>

    <style type="text/css">
        .pane {
            z-index: 1 !important;
        }
        
        .item-input-wrapper {
            flex: none;
            width: calc(100% - 20px);
            margin-left: 10px;
            background: #FAFAFA;
            height: 35px;
            box-shadow: 0 1px 4px 0 rgba(0, 0, 0, .20);
            margin-top: -10px !important;
        }
        
        .v-search-btn {
            margin-right: 10px;
            min-height: 1px;
            max-height: 38px;
            margin-top: 0px;
            position: relative;
            top: -2px;
            left: -45px;
            background: transparent !important;
            color: #999 !important;
        }
        
        h4 {
            font-family: 'Raleway' !important;
        }
        
        .overflow {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }
    </style>
    <script id="addtag.html" type="text/ng-template">
        <ion-header-bar class="bar-header box-shadow">
           
            <button class="button-clear new-back" ui-sref="chatmng" style="width: 60px;" ng-if="platform == 'android'">
                <div data-icon="s" class="icon"></div>
            </button>
           
            <button class="button button-icon button-clear" ui-sref="chatmng" ng-if="platform != 'android'"><i class="icon ion-chevron-left" style="width: 40px;"></i></button>
            <h4 class="msg-blck" ng-if="platform == 'android'" style="margin-left: 30px;">Add Tag</h4>
            <h4 class="ios-title msg-blck" ng-if="platform != 'android'">Add Tag</h4>
            <div class="right-btn-wrapper">
                <button class="button-clear new-home" menu-toggle="right" ng-click="goHome()">
                    <div class="icon d-f-i-1-v"></div>
                </button>
            </div>
        </ion-header-bar>
        <ion-header-bar class="bar bar-subheader item-input-inset box-shadow">
            <label class="item-input-wrapper">
                <i class="icon ion-ios7-search placeholder-icon"></i>
                <input type="search" placeholder="Search..." ng-blur="searchTab=false" ng-focus="searchTab=true" ng-model="search" id="search">
                <button class="button button-clear"></button>
            </label>
            <button class="button button-clear all-btn search-tab v-search-btn" ng-show="searchTab" ng-click="clearSearch()">X</button>
        </ion-header-bar>
        <ion-view title="">
            <ion-content scroll="true" has-bouncing="true" my-touchstart="touchStart()" my-touchend="touchEnd()">
                <div class="top10">&nbsp;</div>
                <div class="order-list" style="height: auto; margin-bottom: 0px; margin-top: -5px;">
                    <span class="item-name" ng-repeat="aditem in additems " style="line-height: 24px;padding-top: 3px; padding-bottom: 3px;"> {{ aditem.itemname }} <span ng-click="deleteTag($index,aditem.itemname,aditem.itemid);"> X </span></span>
                </div>
              
                <div class="tag-wrapper" ng-repeat="item in items | searchItems:search">
                    <div class="left" ng-init="qty = isOrderExist(item.itemid)">
                        <!-- <span class="quantity" ng-click="showPopup()">0</span> -->
                        <input class="quantity" type="text" placeholder=" " id="{{ item.itemid }}" value="{{ qty }}" ng-click="showPopup(item.itemid,item.itemname,item.itemprice,item.duration);" readonly ng-if="qty != null" style="background: #D8D8D8; color: #444;">
                        <input class="quantity" type="text" placeholder=" " id="{{ item.itemid }}" value=" " ng-click="showPopup(item.itemid,item.itemname,item.itemprice,item.duration);" readonly ng-if="qty == null">
                    </div>
                    <div class="center" style="text-transform: capitalize;" ng-click="showPopup(item.itemid,item.itemname,item.itemprice,item.duration);">
                        {{ item.itemname }}
                    </div>
                    <div class="right">
                        <span class="black">&#x20B9;</span><span class="tagprice"> {{ item.itemprice }} Al </span>
                    </div>
                </div>

                <input type="hidden" id="tagData" />
                <div class="tag-bottom-divider">&nbsp;</div>
            </ion-content>
            <div class="bar bar-footer sendmsg footerTag" style="position: absolute ;bottom: 0px; width:100%; background: #444;">
                <div class="price" style="padding: 10px; color: #B4B4B4;"> ₹ <span id="spanTotalAmount">0</span>.00</div>
              
                <a href="#" ng-click="submitTag();" class="Vbutton next black" style="height: 30px; float: right; position: absolute; right: 15px; top: 5px;"><span></span>Add Tag</a>
            </div>
        </ion-view>
    </script>
</body>

</html>